Odniesienie do API
Wskazówki
Kontakty i klienci. Kreacja nie duplikuje się: ten sam adres e-mail lub numer telefonu zwraca lead, który już istnieje.
Listar leads
get/api/v1/leads
Kluczowe pozwolenie: leitura
Parametry
limit integer · consulta
Domyślnie: 50 · Máximo: 200
cursor string · consulta
next_cursor da página anterior
updated_since string (date-time) · consulta
—
status string · consulta
—
Odpowiedzi
- 200Página de leads
curl "https://www.cyzyra.com/api/v1/leads" \
-H "Authorization: Bearer $CYZYRA_API_KEY"{
"data": [
{
"id": "8f1c…",
"name": "Ana Souza",
"email": "ana@example.com",
"status": "new",
"created_at": "2026-11-08T14:02:11Z"
}
],
"next_cursor": "eyJ0Ijoi…"
}Açıklayıcı örnek.
Criar lead (sem duplicar: e-mail/telefone iguais devolvem o existente)
post/api/v1/leads
Kluczowe pozwolenie: escrita
Treść (JSON)
name stringobowiązkowy
—
email string
—
phone string
—
whatsapp string
—
city string
—
country string
Przykład: "BR"
notes string
—
source_detail string
—
tags string[]
—
Odpowiedzi
- 200Já existia (duplicate: true)
- 201Criado
curl -X POST "https://www.cyzyra.com/api/v1/leads" \
-H "Authorization: Bearer $CYZYRA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"name":"Ana Souza","email":"ana@example.com","whatsapp":"+5511999990000","country":"BR","tags":["site"]}'{
"data": {
"id": "8f1c…",
"name": "Ana Souza",
"status": "new"
},
"created": true,
"duplicate": false
}Açıklayıcı örnek.
Ver lead
get/api/v1/leads/{id}
Kluczowe pozwolenie: leitura
Parametry
id string (uuid) · caminhoobowiązkowy
—
Odpowiedzi
- 200Ołów
- 404Não encontrado
curl "https://www.cyzyra.com/api/v1/leads/LEAD_ID" \
-H "Authorization: Bearer $CYZYRA_API_KEY"{
"data": {
"id": "8f1c…",
"name": "Ana Souza",
"email": "ana@example.com",
"status": "new"
}
}Açıklayıcı örnek.
Alterar lead
patch/api/v1/leads/{id}
Kluczowe pozwolenie: escrita
Parametry
id string (uuid) · caminhoobowiązkowy
—
Treść (JSON)
name string
—
email string
—
phone string
—
city string
—
status string
—
tags string[]
—
notes string
—
do_not_contact boolean
—
Odpowiedzi
- 200Lead atualizado
curl -X PATCH "https://www.cyzyra.com/api/v1/leads/LEAD_ID" \
-H "Authorization: Bearer $CYZYRA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"city":"Curitiba","tags":["vip"]}'{
"data": {
"id": "8f1c…",
"city": "Curitiba",
"tags": [
"vip"
]
}
}Açıklayıcı örnek.
